Bug 212397 - Timeconfig breaks zoneinfo configuration
Timeconfig breaks zoneinfo configuration
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-date (Show other bugs)
4.4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-26 13:31 EDT by Andre Chiode
Modified: 2011-05-13 05:54 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-05-13 05:54:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Chiode 2006-10-26 13:31:56 EDT
Description of problem:

The timeconfig breaks the configuration of customized zoneinfo when is executed. 
The command changes the /etc/localtime when it is cancelled.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. verify the date of the last change of the /etc/localtime
2. execute /usr/sbin/timeconfig
3. cancel timeconfig
4. verify again the last change of the /etc/localtime
  
Actual results:
The date of the /etc/localtime is changed

Expected results:
When I cancel the timeconfig, the date of /etc/localtime should be the same.

Additional info:
Comment 1 Andre Chiode 2006-10-27 08:53:18 EDT
The version that I use is system-config-date-1.7.15-0.RHEL4.1
Comment 3 Nils Philippsen 2008-08-20 11:52:50 EDT
Hmm, I can't reproduce that with a checkout of the 1.7.15 version:

nils@gibraltar:~/src/system-config-date/default/src> ls -l /etc/localtime 
-rw-r--r-- 1 root root 2309 2008-07-10 11:22 /etc/localtime
nils@gibraltar:~/src/system-config-date/default/src> hg up -r r1-7-15
150 files updated, 0 files merged, 210 files removed, 0 files unresolved
nils@gibraltar:~/src/system-config-date/default/src> sudo ./timeconfig.py
nils@gibraltar:~/src/system-config-date/default/src> ls -l /etc/localtime 
-rw-r--r-- 1 root root 2309 2008-07-10 11:22 /etc/localtime

I've also installed that version locally and tried it out:

[root@gibraltar ~]# rpm -q system-config-date
system-config-date-1.7.15-0.RHEL4.1.noarch
[root@gibraltar ~]# ls -l /etc/localtime 
-rw-r--r-- 1 root root 2309 2008-07-10 11:22 /etc/localtime
[root@gibraltar ~]# timeconfig
[root@gibraltar ~]# ls -l /etc/localtime 
-rw-r--r-- 1 root root 2309 2008-07-10 11:22 /etc/localtime

I'd try it out on an actual RHEL4 box or VM but I doubt it will make much of a difference.

Can you reproduce this with system-config-date-1.7.15-0.RHEL4.3 which is the current version of the package in RHEL4? Have you set up a custom /etc/localtime, e.g. have you manually copied a file from /usr/share/zoneinfo instead of using timeconfig or system-config-date?
Comment 4 RHEL Product and Program Management 2008-10-31 12:49:18 EDT
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 5 Phil Knirsch 2011-05-13 05:54:22 EDT
This request was evaluated by Red Hat Engineering for inclusion in a Red
Hat Enterprise Linux maintenance release.                               

As this bug has been in NEEDINFO for an extended period of time we are going
to close this bug due to inactivity. If you would like to pursue this
matter feel free to reopen this bug and attach the needed information.

With the goal of minimizing risk of change for deployed systems, and in
response to customer and partner requirements, Red Hat takes a conservative
approach when evaluating enhancements for inclusion in maintenance updates
for currently deployed products. The primary objectives of update releases
are to enable new hardware platform support and to resolve critical
defects.

However, Red Hat will further review this request for potential inclusion
in future major releases of Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.